Package org.apache.tools.ant.taskdefs.optional.depend.constantpool

# Class ClassCPInfo

java.lang.Object
org.apache.tools.ant.taskdefs.optional.depend.constantpool.ConstantPoolEntry
org.apache.tools.ant.taskdefs.optional.depend.constantpool.ClassCPInfo

    public class ClassCPInfo
    extends ConstantPoolEntry

The constant pool entry which stores class information.

## Field Summary

### Fields inherited from class org.apache.tools.ant.taskdefs.optional.depend.constantpool.ConstantPoolEntry

`CONSTANT_CLASS, CONSTANT_DOUBLE, CONSTANT_FIELDREF, CONSTANT_FLOAT, CONSTANT_INTEGER, CONSTANT_INTERFACEMETHODREF, CONSTANT_INVOKEDYNAMIC, CONSTANT_LONG, CONSTANT_METHODHANDLE, CONSTANT_METHODREF, CONSTANT_METHODTYPE, CONSTANT_MODULEINFO, CONSTANT_NAMEANDTYPE, CONSTANT_PACKAGEINFO, CONSTANT_STRING, CONSTANT_UTF8`

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`ClassCPInfo()` | Constructor.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`java.lang.String` | `getClassName()` | Get the class name of this entry.
`void` | `read​(java.io.DataInputStream cpStream)` | Read the entry from a stream.
`void` | `resolve​(ConstantPool constantPool)` | Resolve this class info against the given constant pool.
`java.lang.String` | `toString()` | Generate a string readable version of this entry

### Methods inherited from class org.apache.tools.ant.taskdefs.optional.depend.constantpool.ConstantPoolEntry

`getNumEntries, getTag, isResolved, readEntry`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ClassCPInfo

public ClassCPInfo()
Constructor. Sets the tag value for this entry to type Class

## Method Details

### read

public void read​(java.io.DataInputStream cpStream) throws java.io.IOException
Read the entry from a stream.

Specified by:
  `read` in class `ConstantPoolEntry`
Parameters:
  `cpStream` - the stream containing the constant pool entry to be read.
Throws:
  `java.io.IOException` - thrown if there is a problem reading the entry from the stream.

### toString

public java.lang.String toString()
Generate a string readable version of this entry

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  string representation of this constant pool entry

### resolve

public void resolve​(ConstantPool constantPool)
Resolve this class info against the given constant pool.

Overrides:
  `resolve` in class `ConstantPoolEntry`
Parameters:
  `constantPool` - the constant pool with which to resolve the class.

### getClassName

public java.lang.String getClassName()
Get the class name of this entry.

Returns:
  the class' name.